Package org.eclipse.cdt.core.parser

# Interface IInactiveCodeToken

All Superinterfaces:
  `IToken`

public interface IInactiveCodeToken extends IToken
Interface for tokens of kind `IToken.tINACTIVE_CODE_START`, `IToken.tINACTIVE_CODE_SEPARATOR` and `IToken.tINACTIVE_CODE_END`.

Since:
  5.1
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.parser.IToken

`IToken.ContextSensitiveTokenType`

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.parser.IToken

`FIRST_RESERVED_IExtensionToken, FIRST_RESERVED_IGCCToken, FIRST_RESERVED_PREPROCESSOR, FIRST_RESERVED_SCANNER, LAST_RESERVED_IExtensionToken, LAST_RESERVED_IGCCToken, LAST_RESERVED_PREPROCESSOR, LAST_RESERVED_SCANNER, t__Alignas, t__Alignof, t__Bool, t__Complex, t__Imaginary, t_alignas, t_alignof, t_and, t_and_eq, t_asm, t_auto, t_bitand, t_bitor, t_bool, t_break, t_case, t_catch, t_char, t_char16_t, t_char32_t, t_class, t_compl, t_const, t_const_cast, t_constexpr, t_continue, t_decltype, t_default, t_delete, t_do, t_double, t_dynamic_cast, t_else, t_enum, t_explicit, t_export, t_extern, t_false, t_float, t_for, t_friend, t_goto, t_if, t_inline, t_int, t_long, t_mutable, t_namespace, t_new, t_noexcept, t_not, t_not_eq, t_nullptr, t_operator, t_or, t_or_eq, t_PRAGMA, t_private, t_protected, t_public, t_register, t_reinterpret_cast, t_restrict, t_return, t_short, t_signed, t_sizeof, t_static, t_static_assert, t_static_cast, t_struct, t_switch, t_template, t_this, t_thread_local, t_throw, t_true, t_try, t_typedef, t_typeid, t_typename, t_union, t_unsigned, t_using, t_virtual, t_void, t_volatile, t_wchar_t, t_while, t_xor, t_xor_eq, tAMPER, tAMPERASSIGN, tAND, tARROW, tARROWSTAR, tASSIGN, tBITCOMPLEMENT, tBITOR, tBITORASSIGN, tBLOCKCOMMENT, tCHAR, tCOLON, tCOLONCOLON, tCOMMA, tCOMMENT, tCOMPL, tCOMPLETION, tDECR, tDIV, tDIVASSIGN, tDOT, tDOTSTAR, tELLIPSIS, tEND_OF_INPUT, tEOC, tEQUAL, tFLOATINGPT, tGT, tGT_in_SHIFTR, tGTEQUAL, tIDENTIFIER, tINACTIVE_CODE_END, tINACTIVE_CODE_SEPARATOR, tINACTIVE_CODE_START, tINCR, tINTEGER, tLBRACE, tLBRACKET, tLCHAR, tLPAREN, tLSTRING, tLT, tLTEQUAL, tMACROEXP, tMINUS, tMINUSASSIGN, tMOD, tMODASSIGN, tNOT, tNOTEQUAL, tOR, tPLUS, tPLUSASSIGN, tPOUND, tPOUNDPOUND, tQUESTION, tRBRACE, tRBRACKET, tRPAREN, tSEMI, tSHIFTL, tSHIFTLASSIGN, tSHIFTR, tSHIFTRASSIGN, tSTAR, tSTARASSIGN, tSTRING, tUNKNOWN_CHAR, tUSER_DEFINED_CHAR_LITERAL, tUSER_DEFINED_STRING_LITERAL, tUTF16CHAR, tUTF16STRING, tUTF32CHAR, tUTF32STRING, tXOR, tXORASSIGN`

## Method Summary

Modifier and Type
Method
Description
`int`
`getNewNesting()`
`int`
`getOldNesting()`

### Methods inherited from interface org.eclipse.cdt.core.parser.IToken

`getCharImage, getEndOffset, getImage, getLength, getNext, getOffset, getType, isOperator, setNext, setType`

## Method Details

### getOldNesting

int getOldNesting()

Returns:
  `0` for the start-token of the outermost branch (indicates that code in the translation-unit outside of any branches precedes this token).
  A value greater than 0 indicating how deep the code preceding this token is nested within code branches, otherwise.

### getNewNesting

int getNewNesting()

Returns:
  `0` for the end-token of the outermost branch (indicates that code in the translation-unit outside of any branches will follow).
  A value greater than 0 indicating how deep the code following this token is nested within code branches, otherwise.